export = logoutUser;
/**
 * Logout user
 * ==============================================================================
 * @param {object} params - Single Param object containing params
 * @param {string} params.encryptedUserString - Encrypted User String
 * @param {http.ServerResponse & Object<string, any>} [params.response] - Http response object
 * @param {string} [params.database] - Target database name(slug): optional
 * @param {string | number} [params.dsqlUserId]
 *
 * @returns {{success: boolean, payload: string, cookieNames?: any}}
 */
declare function logoutUser({ response, database, dsqlUserId, encryptedUserString }: {
    encryptedUserString: string;
    response?: http.ServerResponse & {
        [x: string]: any;
    };
    database?: string;
    dsqlUserId?: string | number;
}): {
    success: boolean;
    payload: string;
    cookieNames?: any;
};
import http = require("http");
