export = googleAuth;
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/**
 * @typedef {object | null} FunctionReturn
 * @property {boolean} success - Did the function run successfully?
 * @property {import("../../types/user.td").DATASQUIREL_LoggedInUser | null} user - Returned User
 * @property {number} [dsqlUserId] - Dsql User Id
 * @property {string} [msg] - Response message
 */
/**
 * SERVER FUNCTION: Login with google Function
 * ==============================================================================
 *
 * @async
 *
 * @param {object} params - main params object
 * @param {string} [params.key] - API full access key
 * @param {string} params.token - Google access token gotten from the client side
 * @param {string} params.database - Target database name(slug)
 * @param {http.ServerResponse} [params.response] - HTTPS response object
 * @param {string} [params.encryptionKey] - Encryption key
 * @param {string} [params.encryptionSalt] - Encryption salt
 * @param {string[]} [params.additionalFields] - Additional Fields to be added to the user object
 * @param {boolean} [params.user_id] - User ID
 * @param {string | number} [params.apiUserID] - Required for setting of cookies
 * @param {boolean} [params.useLocal] - Whether to use a remote database instead of API
 *
 * @returns { Promise<FunctionReturn> }
 */
declare function googleAuth({ key, token, database, response, encryptionKey, encryptionSalt, additionalFields, user_id, apiUserID, useLocal, }: {
    key?: string;
    token: string;
    database: string;
    response?: http.ServerResponse;
    encryptionKey?: string;
    encryptionSalt?: string;
    additionalFields?: string[];
    user_id?: boolean;
    apiUserID?: string | number;
    useLocal?: boolean;
}): Promise<FunctionReturn>;
declare namespace googleAuth {
    export { FunctionReturn };
}
import http = require("http");
type FunctionReturn = object | null;
